<?php

$url = 'http://10.0.1.20/LaMetricNotification.php?';
$json = file_get_contents('php://input');

if (strpos($json, '"batteryCritical": true') !== false) {
    $priority = "critical";
	$cycles = 0;
	$icon = "a1101";
	$text = urlencode('Nuki Batteriewarnung');
	$category = 'notifications';
	$id = 'negative5';
	$repeat = 3;
	$icon_type = "alert";
	
} elseif (strpos($json, '"stateName": "locked"') !== false) {
    $priority = "info";
	$cycles = 1;
	$icon = "a7775";
	$text = urlencode('Nuki abgeschlossen');
	$category = 'notifications';
	$id = 'open_door';
	$repeat = 1;
	$icon_type = "info";

} elseif (strpos($json, '"stateName": "unlocked') !== false) {
    $priority = "info";
	$cycles = 1;
	$icon = "a7774";
	$text = urlencode('Nuki aufgeschlossen');
	$category = 'notifications';
	$id = 'open_door';
	$repeat = 1;
	$icon_type = "info";

} else {
	$priority = "info";
	$cycles = 0;
	$icon = "i7774";
	$text = urlencode('Achtung, Nuki überprüfen! - JSON: ' . $json);
	$category = 'notifications';
	$id = 'negative5';
	$repeat = 9;
	$icon_type = "info";
}

$url = $url . 'priority=' . $priority . '&cycles=' . $cycles . '&icon=' . $icon . '&text=' . $text . '&category=' . $category . '&id=' . $id . '&repeat=' . $repeat . '&icon_type=' . $icon_type;

$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $url); 
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_exec($curl); 
curl_close($curl);

?>